Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

Application owning this integration.

id
string
required

Integration identifier. Assigned on creation.

Body

application/json

EdgeIntegrationServiceUpdateRequest changes an integration's mutable fields.

integration
Edge Integration · object | null

EdgeIntegration is reusable application-owned Edge capability configuration. Its typed configuration and use site determine its role; Socket package authorization is the first supported type. It stores only credential references and never contains or returns a secret value. Creation requires display_name and socket_packages. Updates may omit fields not listed in update_mask.

This message contains a oneof named configuration. Only a single field of the following list may be set at a time:

  • socketPackages
updateMask
string | null

Response

200 - application/json

EdgeIntegrationServiceUpdateResponse contains the updated integration.

EdgeIntegrationServiceUpdateResponse contains the updated integration.

integration
Edge Integration · object | null

EdgeIntegration is reusable application-owned Edge capability configuration. Its typed configuration and use site determine its role; Socket package authorization is the first supported type. It stores only credential references and never contains or returns a secret value. Creation requires display_name and socket_packages. Updates may omit fields not listed in update_mask.

This message contains a oneof named configuration. Only a single field of the following list may be set at a time:

  • socketPackages